Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class ExitException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.SecurityException
                              |
                              +--org.apache.tools.ant.ExitException

All Implemented Interfaces:
  java.io.Serializable

public class ExitException
extends java.lang.SecurityException

Used to report exit status of classes which call System.exit().

See Also:
  `NoExitSecurityManager`, `Permissions`, Serialized Form

Constructor Summary
`ExitException(int status)` Constructs an exit exception.
`ExitException(java.lang.String msg, int status)` Constructs an exit exception.

Method Summary
`int` | `getStatus()` The status code returned by System.exit()

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExitException

    public ExitException(int status)

  Constructs an exit exception.

Parameters:
  `status` - the status code returned via System.exit()

### ExitException

    public ExitException(java.lang.String msg,
                         int status)

  Constructs an exit exception.

Parameters:
  `msg` - the message to be displayed.
  `status` - the status code returned via System.exit()

Method Detail

### getStatus

    public int getStatus()

  The status code returned by System.exit()

  Returns:
    the status code returned by System.exit()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.